質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.75%

  • Python

    6841questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • TensorFlow

    604questions

  • NumPy

    375questions

    NumPyはPythonのプログラミング言語の科学的と数学的なコンピューティングに関する拡張モジュールです。

ImportError: numpy.core.multiarray failed to import

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,435
退会済みユーザー

退会済みユーザー

python test.py


で実行したところ、
ImportError: numpy.core.multiarray failed to import とエラーが出ました。
検索して、http://sechiro.hatenablog.com/entry/2016/04/02/Mac%E3%81%ABTensorFlow%E3%82%92%E5%85%A5%E3%82%8C%E3%82%88%E3%81%86%E3%81%A8%E3%81%97%E3%81%9F%E3%82%89%E3%80%81Numpy%E3%81%AE%E3%82%A8%E3%83%A9%E3%83%BC%E3%81%8C%E5%87%BA%E3%81%9F%E3%81%AE%E3%81%A7 の記事を見て、

cd /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/


に移動してその直下のbumpyを消そうとしたら、
Operation not permittedとでて消せませんでした。
使っているPythonのバージョンは3.5です。
どのようにしてこのエラーを消せるでしょうか?
Tracebackには

RuntimeError: module compiled against API version 0xb but this version of numpy is 0xa
Traceback (most recent call last):
  File "train.py", line 2, in <module>
    from options.train_options import TrainOptions
  File "/Users/xxx/cyclegan-python/pytorch-CycleGAN-and-pix2pix/options/train_options.py", line 1, in <module>
    from .base_options import BaseOptions
  File "/Users/xxx/cyclegan-python/pytorch-CycleGAN-and-pix2pix/options/base_options.py", line 3, in <module>
    from util import util
  File "/Users/xxx/cyclegan-python/pytorch-CycleGAN-and-pix2pix/util/util.py", line 2, in <module>
    import torch
  File "/Users/xxx/.pyenv/versions/anaconda3-4.3.0/envs/newproject/lib/python3.5/site-packages/torch/__init__.py", line 53, in <module>
    from torch._C import *
ImportError: numpy.core.multiarray failed to import


とでました。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

管理者権限を与えれば良いのですが、python3.xを使っているのにpython2.xのモジュールを削除しようとしています。

import numpy as np
np.__file__


を調べてみてはどうでしょう。

pyenvは環境を切り分けるので、システムのpythonインタプリタが問題になるとは思い難いのですが、パスの通し方が正しいのかどうかをチェックする必要があるかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/01/21 11:53

    今、Python3.6を使って開発しているのですが、python2.xのモジュールを削除するのは間違いなのでしょうか?python3.xのモジュールを削除しなければならないのでしょうか?

    キャンセル

  • 2018/01/21 14:38

    パスを無理に通していない限り、python2.xのモジュールはpython3.xと混ざらないと思います。
    削除することで目先のエラーは解決できるかもしれませんが、今の不自然な環境を起こす元凶を探す方が将来的にエラーが起きることを防ぐことができると思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.75%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    6841questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • TensorFlow

    604questions

  • NumPy

    375questions

    NumPyはPythonのプログラミング言語の科学的と数学的なコンピューティングに関する拡張モジュールです。